//-----------------------------------------------------------------------------------------------------
//sPPZ_sample1.mq4
//-----------------------------------------------------------------------------------------------------
//   ppz-        fPPZ_levels.mqh
//      fPPZ_levels.mqh   ...\MetaTrader 4\experts\include
//       ...\MetaTrader 4\experts\scripts
//-----------------------------------------------------------------------------------------------------
#property copyright "midorum, 2012"
#property link      "midorum@gmail.com"
#property show_inputs

#include <fPPZ_levels.mqh>

//  -       ,      
//  ,     "",  ,      
//       ""  (,     )
extern string a0="  ";
extern int number_of_levels=10;
//  -        , ..  
//       "" ,   ,   
// ,    "" ,     
extern string a1="   ";
extern int common_fractals=100;
//     
//,       ,   ,      
//      "" , ..     
extern string a2="    ";
extern int fractals_per_level=4;
//      "" , ..     
extern string a3="     ";
extern int fractals_space=5;
//
extern string a4="  () ";
extern int start_bar=0;
//
extern string a5=" ";
extern color levels_color=Coral;
//
extern string a6=" ";
extern int levels_width=1;
//
extern string a7=" ";
extern int levels_style=STYLE_SOLID;
//
extern string a8="     ";
extern bool DeleteAll=false;

//       ,  
double PPZ_levels[];//  ppz-
double dispersions[];//  ppz- (    )
//-----------------------------------------------------------------------------------------------------
int start()
{
   int founded;//  

   Comment("");
   DeletePPZLevels();//    

   if(DeleteAll) return(0);// ,     

   // ppz-   
   founded=GetPPZLevels(Period(), PPZ_levels, dispersions, number_of_levels, common_fractals, fractals_per_level, fractals_space, start_bar);
   //   :
   // PPZ_levels -   ,     ,       ShowPPZLevels
   // dispersions -   ,     ,       ShowPPZLevels
   // founded -      ,        ShowPPZLevels

   if(founded==-1)//  
   {
      MessageBox("Memory allocation error\n   ",NULL,0x00000030);
      return(-1);
   }

   Comment("Found ",founded," PPZ levels");//    

   //    (      ,     )
   ShowPPZLevels(Period(), PPZ_levels, dispersions, founded, levels_color, levels_width, levels_style, "("+DoubleToStr(fractals_per_level,0)+")");

   return(0);
}
//-----------------------------------------------------------------------------------------------------

